<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">
  <bean id="templateEngine" class="org.thymeleaf.spring3.SpringTemplateEngine">
  </bean>

  <head>
    <meta charset="utf-8" />
    <title>Home</title>
    <link rel="stylesheet" href="../../css/bootstrap.min.css" />
  </head>

  <body>
    <div class="container">
      <div class="row">
        <div class="col-6">
          <a href="/bidList/list">Bid List</a>&nbsp;|&nbsp;
          <a href="/curvePoint/list">Curve Points</a>&nbsp;|&nbsp;
          <a href="/rating/list">Ratings</a>&nbsp;|&nbsp;
          <a href="/trade/list">Trade</a>&nbsp;|&nbsp;
          <a href="/ruleName/list">Rule</a>&nbsp;|&nbsp;
          <a
            th:if="${#authorization.expression('hasRole(''ROLE_ADMIN'')')}"
            href="/user/list"
          >
            User</a
          >
        </div>
        <div class="col-6 text-right">
          Logged in user: <b th:inline="text" class="user"> [[${username}]]</b>
          <form th:action="@{/logout}" method="POST">
            <input type="submit" value="Logout" />
          </form>
        </div>
      </div>
      <div class="row">
        <h2>Bid List</h2>
      </div>
      <div class="row">
        <a href="/bidList/add" class="btn btn-primary btn-sm">Add New</a>
        <table class="table table-bordered">
          <thead>
            <tr>
              <th>Id</th>
              <th>Account</th>
              <th>Type</th>
              <th>Bid Quantity</th>
              <th>Action</th>
            </tr>
          </thead>
          <tbody>
            <tr th:each="bid : ${bids}">
              <td th:text="${bid.BidListId}"></td>
              <td th:text="${bid.account}"></td>
              <td th:text="${bid.type}"></td>
              <td th:text="${bid.bidQuantity}"></td>
              <td style="width: 15%" class="text-center">
                <a th:href="@{/bidList/update/{id}(id=${bid.BidListId})}"
                  >Edit</a
                >&nbsp;|&nbsp;
                <a th:href="@{/bidList/delete/{id}(id=${bid.BidListId})}"
                  >Delete</a
                >
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </body>
</html>
